plugins {
    id 'com.android.application'
    id 'org.jetbrains.kotlin.android'
}

android {
    compileSdk 32

    defaultConfig {
        applicationId "com.cxzapp.yidianling"
        minSdk 23
        targetSdk 28
        versionCode 1
        versionName "1.0"
        flavorDimensions "versionCode"
        ndk {
            abiFilters "arm64-v8a"
        }
        manifestPlaceholders = [
                JPUSH_PKGNAME : applicationId,
                JPUSH_APPKEY  : "e4b0d0bb7ef01053c93e25ba", //JPush上注册的包名对应的appkey.
                JPUSH_CHANNEL : "developer-default", //暂时填写默认值即可.

                XIAOMI_APPKEY : "MI-5241743243980",//小米平台注册的appkey
                XIAOMI_APPID  : "MI-2882303761517432980",//小米平台注册的appid

                HUAWEI_APPID  : "10444675",//华为平台注册的appid

                OPPO_APPKEY   : "OP-afk71f35VogGw0w0wKsookksc", // OPPO平台注册的appkey
                OPPO_APPID    : "OP-3245516", // OPPO平台注册的appid
                OPPO_APPSECRET: "OP-691184F044acA7a6851F578451f67616",//OPPO平台注册的appsecret

                VIVO_APPKEY   : '67d79734-c9c5-4916-a6f4-ba2ef4df09a4',
                VIVO_APPID    : '14298',
                MEIZU_APPKEY  : "MZ-00d268d7228748479036f202d45b4ef2",//魅族平台注册的appkey
                MEIZU_APPID   : "MZ-120344",//魅族平台注册的appid
                qqappid       : "1105070461",
                APPLICATIONID : rootProject.ext.ydl_app["applicationId"]
        ]
    }

    packagingOptions {
        exclude 'META-INF/rxjava.properties'
        exclude 'META-INF/proguard/coroutines.pro'
        pickFirst 'lib/arm64-v8a/libc++_shared.so'
        pickFirst 'lib/armeabi-v7a/libc++_shared.so'
    }
    signingConfigs {
        release {
            storeFile file("../app/keystore.jks")
            storePassword "123456"
            keyAlias "ydl"
            keyPassword "123456"
        }

    }
    buildTypes {
        debug{
            signingConfig signingConfigs.release
        }
        release {
            signingConfig signingConfigs.release
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }

    productFlavors {
        ydl{}
        xlzx{}
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = '1.8'
    }
}
repositories {
    flatDir {
        dirs 'aar'
    }
}

dependencies {
    implementation fileTree(dir: 'aar', include: ['*.aar'])
    implementation(project(":ydl-flutter-base"))
    implementation(project(":ydl-media"))
    implementation(project(":ydl-net"))
    implementation(project(":ydl-pay"))
    implementation(project(":ydl-platform"))
    implementation(project(":ydl-tuicore"))
    implementation(project(":ydl-utils"))
    implementation(project(":ydl-webview"))

    implementation(project(":m-article"))
    implementation(project(":m-audioim"))
    implementation(project(":m-confide"))
    implementation(project(":m-consultant"))
    implementation(project(":m-course"))
    implementation(project(":m-dynamic"))
    implementation(project(":m-fm"))
    implementation(project(":m-home"))
    implementation(project(":m-im"))
    implementation(project(":m-js"))
    implementation(project(":m-muse"))
    implementation(project(":m-tests"))
    implementation(project(":m-user"))


    implementation('com.ydl.debugkit:debugkit:1.0.0')
    implementation('com.ydl.aar:heytap:3.0.0')
    implementation "com.ydl.lib:smart_spa:0.0.4"
    implementation 'com.volcengine:apm_insight:1.4.6.cn'
    implementation 'com.volcengine:apm_insight_crash:1.4.5'
    implementation 'com.meituan.android.walle:library:1.1.5'
    implementation 'com.readystatesoftware.systembartint:systembartint:1.0.3'
    // 权限库
    implementation 'com.hjq:xxpermissions:10.2'
    // 时间选择器
    implementation 'com.contrarywind:Android-PickerView:4.1.9'
//  sophix  hotfix
    implementation 'com.aliyun.ams:alicloud-android-hotfix:3.3.5'

    implementation 'com.github.feeeei:CircleSeekbar:v1.1.2'
    //====================极光推送====================
    implementation 'cn.jiguang.sdk:jpush:4.6.4'
    implementation 'cn.jiguang.sdk:jcore:3.2.4'
    implementation 'cn.jiguang.sdk.plugin:oppo:4.6.4'
    implementation 'cn.jiguang.sdk.plugin:vivo:4.6.4'
    implementation 'cn.jiguang.sdk.plugin:meizu:4.6.4'
    implementation 'cn.jiguang.sdk.plugin:huawei:4.6.4'
    implementation 'cn.jiguang.sdk.plugin:meizu:4.6.4'
    implementation 'cn.jiguang.sdk.plugin:xiaomi:4.6.4'
    implementation 'com.huawei.hms:push:5.3.0.304'

    //====================云信基础库====================
    implementation 'com.ydl:nim-base:1.1.1.2'
    implementation 'com.netease.nimlib:basesdk:9.2.1'
    implementation 'com.netease.nimlib:avchat:9.2.1'
    implementation 'com.netease.nimlib:nrtc:9.2.1'
    //OPPO推送需要单独引入
    implementation 'com.google.code.gson:gson:2.6.2'
    implementation 'commons-codec:commons-codec:1.6'
    implementation 'androidx.annotation:annotation:1.1.0'
    //====================YDL 功能库====================
    implementation "com.ydl.aar:resource:0.0.1-ydl"
}